Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

nopermission.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: nopermission.php 6970 2001-09-05 11:57:07Z jhe $
5 //
6 // Created on: <19-Feb-2001 11:11:28 amos>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/eztemplate.php" );
28
29 $ini =& $GlobalSiteIni;
30 $Language = $ini->variable( "eZContactMain", "Language" );
31 $t = new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
32 "kernel/ezcontact/admin/intl", $Language, "nopermission.php" );
33 $t->setAllStrings();
34
35 $t->set_file( "permission_page", "nopermission.tpl" );
36
37 $t->set_block( "permission_page", "permission_tpl", "permission" );
38
39 $t->set_block( "permission_tpl", "permission_login_item_tpl", "permission_login_item" );
40 $t->set_block( "permission_tpl", "permission_company_new_item_tpl", "permission_company_new_item" );
41 $t->set_block( "permission_tpl", "permission_company_edit_item_tpl", "permission_company_edit_item" );
42 $t->set_block( "permission_tpl", "permission_company_delete_item_tpl", "permission_company_delete_item" );
43 $t->set_block( "permission_tpl", "permission_company_list_item_tpl", "permission_company_list_item" );
44 $t->set_block( "permission_tpl", "permission_company_view_item_tpl", "permission_company_view_item" );
45 $t->set_block( "permission_tpl", "permission_person_new_item_tpl", "permission_person_new_item" );
46 $t->set_block( "permission_tpl", "permission_person_edit_item_tpl", "permission_person_edit_item" );
47 $t->set_block( "permission_tpl", "permission_person_delete_item_tpl", "permission_person_delete_item" );
48 $t->set_block( "permission_tpl", "permission_person_list_item_tpl", "permission_person_list_item" );
49 $t->set_block( "permission_tpl", "permission_person_view_item_tpl", "permission_person_view_item" );
50 $t->set_block( "permission_tpl", "permission_category_new_item_tpl", "permission_category_new_item" );
51 $t->set_block( "permission_tpl", "permission_category_edit_item_tpl", "permission_category_edit_item" );
52 $t->set_block( "permission_tpl", "permission_category_delete_item_tpl", "permission_category_delete_item" );
53 $t->set_block( "permission_tpl", "permission_type_admin_tpl", "permission_type_admin" );
54 $t->set_block( "permission_tpl", "permission_consultation_tpl", "permission_consultation" );
55
56 $t->set_var( "permission", "" );
57 $t->set_var( "permission_login_item", "" );
58 $t->set_var( "permission_company_new_item", "" );
59 $t->set_var( "permission_company_edit_item", "" );
60 $t->set_var( "permission_company_delete_item", "" );
61 $t->set_var( "permission_company_list_item", "" );
62 $t->set_var( "permission_company_view_item", "" );
63 $t->set_var( "permission_person_new_item", "" );
64 $t->set_var( "permission_person_edit_item", "" );
65 $t->set_var( "permission_person_delete_item", "" );
66 $t->set_var( "permission_person_list_item", "" );
67 $t->set_var( "permission_person_view_item", "" );
68 $t->set_var( "permission_category_new_item", "" );
69 $t->set_var( "permission_category_edit_item", "" );
70 $t->set_var( "permission_category_delete_item", "" );
71 $t->set_var( "permission_type_admin", "" );
72 $t->set_var( "permission_consultation", "" );
73
74 switch ( $Type )
75 {
76 case "login":
77 {
78 $t->parse( "permission_login_item", "permission_login_item_tpl" );
79 break;
80 }
81 case "type":
82 {
83 $t->parse( "permission_type_admin", "permission_type_admin_tpl" );
84 break;
85 }
86 case "consultation":
87 {
88 $t->parse( "permission_consultation", "permission_consultation_tpl" );
89 break;
90 }
91 case "company":
92 case "person":
93 {
94 switch ( $Action )
95 {
96 case "new":
97 case "edit":
98 case "delete":
99 case "list":
100 case "view":
101 {
102 $t->parse( "permission_" . $Type . "_" . $Action . "_item",
103 "permission_" . $Type . "_" . $Action . "_item_tpl" );
104 break;
105 }
106 }
107 break;
108 }
109 case "category":
110 {
111 switch ( $Action )
112 {
113 case "new":
114 case "edit":
115 case "delete":
116 {
117 $t->parse( "permission_" . $Type . "_" . $Action . "_item",
118 "permission_" . $Type . "_" . $Action . "_item_tpl" );
119 break;
120 }
121 }
122 break;
123 }
124 }
125
126 $t->parse( "permission", "permission_tpl" );
127
128 $t->pparse( "output", "permission_page" );
129
130 ?>
eZTemplate
Definition: eztemplate.php:107
$Action
$Action
Definition: companysearch.php:80
$GlobalSiteIni
$GlobalSiteIni
Definition: ezarticle/xmlrpc/xmlrpcserver.php:33
$t
$t
Definition: nopermission.php:31
$Language
$Language
Definition: nopermission.php:30
$ini
$ini
Definition: nopermission.php:29
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.